#!/bin/sh -ex

. ./.env || true

cat <<EOF > /kaniko/.docker/config.json
{
  "auths": {
    "$GITHUB_SERVER_URL": {
      "username": "$INPUT_USERNAME",
      "password": "$INPUT_PASSWORD"
    }
  }
}
EOF

if [ -z "$IMAGEAPP" ]; then
    REGISTRY="$(echo "$GITHUB_SERVER_URL" | sed 's .*://  ')"
    IMAGEAPP="$REGISTRY/$INPUT_IMAGE"
fi

/kaniko/executor \
    --cache=true \
    --context "${INPUT_DOCKERFILE%/*}" \
    --dockerfile "$INPUT_DOCKERFILE" \
    --destination "$IMAGEAPP"
